Bug 1005830 - the rest/groups post call returns the created entity info with a typo
the rest/groups post call returns the created entity info with a typo
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Mark Proctor
Jiri Svitak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 09:10 EDT by Eva Kopalova
Modified: 2015-06-01 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eva Kopalova 2013-09-09 09:10:12 EDT
How reproducible:


Steps to Reproduce:
1. issue the respective curl call, for example: 

curl -X POST -u "eko:eko@12345" -H "Content-Type: application/json" -d '{"name":"mortgages","description":"My repo with mortgage assets.","owner":"eko","repositories":["myRepository"]}' http://localhost:8080/business-central/rest/groups

Actual results:
 the response:
{"jodId":"1378731522284-1","status":"ACCEPTED","groupName":"mortgages","ownder":"eko","description":null,"repositories":["myRepository"]}

note the typo: ownder


Expected results:
no typo in the response
Comment 2 Jervis Liu 2013-09-10 07:22:22 EDT
Already fixed
Comment 8 Jiri Svitak 2014-01-13 11:53:05 EST
Verified in BRMS 6 ER7.

Note You need to log in before you can comment on or make changes to this bug.